export namespace Configs {

    export const weizhi_nian_gan = 1
    export const weizhi_yue_gan = 2
    export const weizhi_ri_gan = 3
    export const weizhi_shi_gan = 4
    export const weizhi_nian_zhi = 5
    export const weizhi_yue_zhi = 6
    export const weizhi_ri_zhi = 7
    export const weizhi_shi_zhi = 8
    export const weizhi_dayun_gan = 11
    export const weizhi_dayun_zhi = 12
    export const weizhi_liunian_gan = 13
    export const weizhi_liunian_zhi = 14
    export const weizhi_liuyue_gan = 15
    export const weizhi_liuyue_zhi = 16
    export const weizhi_liuri_gan = 17
    export const weizhi_liuri_zhi = 18
    export const weizhi_liushi_gan = 19
    export const weizhi_liushi_zhi = 20
    export const weizhi_zengbu1_gan = 21
    export const weizhi_zengbu1_zhi = 22

    export let nameOfZhu = {
        1: "年干",
        2: "月干",
        3: "日干",
        4: "时干",
        5: "年支",
        6: "月支",
        7: "日支",
        8: "时支",
        11: "大运干",
        12: "大运支",
        13: "流年干",
        14: "流年支",
        15: "流月干",
        16: "流月支",
        17: "流日干",
        18: "流日支",
        19: "流时干",
        20: "流时支",
    }
    export const tianganAry = ["甲", "乙", "丙", "丁", "戊", "己", "庚", "辛", "壬", "癸"]
    export const dizhiAry = ["子", "丑", "寅", "卯", "辰", "巳", "午", "未", "申", "酉", "戌", "亥"]

    export const nongliAry = ["初一", "初二", "初三", "初四", "初五", "初六", "初七", "初八", "初九", "初十",
        "十一", "十二", "十三", "十四", "十五", "十六", "十七", "十八", "十九", "廿十",
        "廿一", "廿二", "廿三", "廿四", "廿五", "廿六", "廿七", "廿八", "廿九", "三十"]

    export let config_wuxing = {
        "甲": "木",
        "乙": "木",
        "丙": "火",
        "丁": "火",
        "戊": "土",
        "己": "土",
        "庚": "金",
        "辛": "金",
        "壬": "水",
        "癸": "水",
        "子": "水",
        "丑": "土",
        "寅": "木",
        "卯": "木",
        "辰": "土",
        "巳": "火",
        "午": "火",
        "未": "土",
        "申": "金",
        "酉": "金",
        "戌": "土",
        "亥": "水",
    }


    export let config_gaoneng = {
        "甲己合": {
            "name": "甲己合",
            "guanxi": "合",
            "father": null,
            "leibie": "天干合",
            "hehua": "土",
            "tip": null,
            "fangxiang": "己",
        },
        "乙庚合": {
            "name": "乙庚合",
            "guanxi": "合",
            "father": null,
            "leibie": "天干合",
            "hehua": "金",
            "tip": null,
            "fangxiang": "庚",
        },
        "丙辛合": {
            "name": "丙辛合",
            "guanxi": "合",
            "father": null,
            "leibie": "天干合",
            "hehua": "水",
            "tip": null,
            "fangxiang": "辛",
        },
        "丁壬合": {
            "name": "丁壬合",
            "guanxi": "合",
            "father": null,
            "leibie": "天干合",
            "hehua": "木",
            "tip": null,
            "fangxiang": "壬",
        },
        "戊癸合": {
            "name": "戊癸合",
            "guanxi": "合",
            "father": null,
            "leibie": "天干合",
            "hehua": "火",
            "tip": null,
            "fangxiang": "戊",
        },
        "甲庚冲": {
            "name": "甲庚冲",
            "guanxi": "冲",
            "father": null,
            "leibie": "天干冲",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "乙辛冲": {
            "name": "乙辛冲",
            "guanxi": "冲",
            "father": null,
            "leibie": "天干冲",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "丙壬冲": {
            "name": "丙壬冲",
            "guanxi": "冲",
            "father": null,
            "leibie": "天干冲",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "丁癸冲": {
            "name": "丁癸冲",
            "guanxi": "冲",
            "father": null,
            "leibie": "天干冲",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "子丑合": {
            "name": "子丑合",
            "guanxi": "合",
            "father": null,
            "leibie": "地支合",
            "hehua": "土",
            "tip": null,
            "fangxiang": "丑",
        },
        "寅亥合": {
            "name": "寅亥合",
            "guanxi": "合",
            "father": null,
            "leibie": "地支合",
            "hehua": "木",
            "tip": null,
            "fangxiang": "寅",
        },
        "卯戌合": {
            "name": "卯戌合",
            "guanxi": "合",
            "father": null,
            "leibie": "地支合",
            "hehua": "火",
            "tip": null,
            "fangxiang": "戌",
        },
        "酉辰合": {
            "name": "酉辰合",
            "guanxi": "合",
            "father": null,
            "leibie": "地支合",
            "hehua": "金",
            "tip": null,
            "fangxiang": "酉",
        },
        "巳申合": {
            "name": "巳申合",
            "guanxi": "合",
            "father": null,
            "leibie": "地支合",
            "hehua": "水",
            "tip": null,
            "fangxiang": "申",
        },
        "午未合": {
            "name": "午未合",
            "guanxi": "合",
            "father": null,
            "leibie": "地支合",
            "hehua": "火",
            "tip": null,
            "fangxiang": "午",
        },
        "子午冲": {
            "name": "子午冲",
            "guanxi": "冲",
            "father": null,
            "leibie": "地支冲",
            "hehua": null,
            "tip": "表示无妄之灾，特点是突发、迅猛，但是后果不严重，或者当场消停，虚惊一场。对应在健康上，需有人陪伴。",
            "fangxiang": null,
        },
        "巳亥冲": {
            "name": "巳亥冲",
            "guanxi": "冲",
            "father": null,
            "leibie": "地支冲",
            "hehua": null,
            "tip": "水火斗为主，伴随金木斗，影响肝脏、肺部健康，遇见应多去体检身体，确保健康，相对健康影响比较大",
            "fangxiang": null,
        },
        "卯酉冲": {
            "name": "卯酉冲",
            "guanxi": "冲",
            "father": null,
            "leibie": "地支冲",
            "hehua": null,
            "tip": "主血光之灾(比如开刀)，影响肝胆、肺部、食道、呼吸道、肠道健康",
            "fangxiang": null,
        },
        "申寅冲": {
            "name": "申寅冲",
            "guanxi": "冲",
            "father": null,
            "leibie": "地支冲",
            "hehua": null,
            "tip": "主内伤，多作用在肾脏、心脑血管，多急症。",
            "fangxiang": null,
        },
        "辰戌冲": {
            "name": "辰戌冲",
            "guanxi": "冲",
            "father": null,
            "leibie": "地支冲",
            "hehua": null,
            "tip": "主开库，开库后引发乙辛冲、丁癸冲",
            "fangxiang": null,
        },
        "丑未冲": {
            "name": "丑未冲",
            "guanxi": "冲",
            "father": null,
            "leibie": "地支冲",
            "hehua": null,
            "tip": "主开库，开库后引发乙辛冲、丁癸冲",
            "fangxiang": null,
        },
        "寅丑暗合": {
            "name": "寅丑暗合",
            "guanxi": "暗合",
            "father": null,
            "leibie": "地支暗合",
            "hehua": "土",
            "tip": null,
            "fangxiang": "丑",
        },
        "午亥暗合": {
            "name": "午亥暗合",
            "guanxi": "暗合",
            "father": null,
            "leibie": "地支暗合",
            "hehua": "木",
            "tip": null,
            "fangxiang": "亥",
        },
        "申卯暗合": {
            "name": "申卯暗合",
            "guanxi": "暗合",
            "father": null,
            "leibie": "地支暗合",
            "hehua": "金",
            "tip": null,
            "fangxiang": "申",
        },
        "子辰半合": {
            "name": "子辰半合",
            "guanxi": "半合",
            "father": null,
            "leibie": "地支三合",
            "hehua": "水",
            "tip": null,
            "fangxiang": "子",
        },
        "申子半合": {
            "name": "申子半合",
            "guanxi": "半合",
            "father": null,
            "leibie": "地支三合",
            "hehua": "水",
            "tip": null,
            "fangxiang": "子",
        },
        "亥卯半合": {
            "name": "亥卯半合",
            "guanxi": "半合",
            "father": null,
            "leibie": "地支三合",
            "hehua": "木",
            "tip": null,
            "fangxiang": "卯",
        },
        "卯未半合": {
            "name": "卯未半合",
            "guanxi": "半合",
            "father": null,
            "leibie": "地支三合",
            "hehua": "木",
            "tip": null,
            "fangxiang": "卯",
        },
        "寅午半合": {
            "name": "寅午半合",
            "guanxi": "半合",
            "father": null,
            "leibie": "地支三合",
            "hehua": "火",
            "tip": null,
            "fangxiang": "午",
        },
        "午戌半合": {
            "name": "午戌半合",
            "guanxi": "半合",
            "father": null,
            "leibie": "地支三合",
            "hehua": "火",
            "tip": null,
            "fangxiang": "午",
        },
        "巳酉半合": {
            "name": "巳酉半合",
            "guanxi": "半合",
            "father": null,
            "leibie": "地支三合",
            "hehua": "金",
            "tip": null,
            "fangxiang": "酉",
        },
        "酉丑半合": {
            "name": "酉丑半合",
            "guanxi": "半合",
            "father": null,
            "leibie": "地支三合",
            "hehua": "金",
            "tip": null,
            "fangxiang": "酉",
        },
        "申辰拱合": {
            "name": "申辰拱合",
            "guanxi": "拱合",
            "father": null,
            "leibie": "地支三合",
            "hehua": "水",
            "tip": null,
            "fangxiang": "子",
        },
        "亥未拱合": {
            "name": "亥未拱合",
            "guanxi": "拱合",
            "father": null,
            "leibie": "地支三合",
            "hehua": "木",
            "tip": null,
            "fangxiang": "卯",
        },
        "寅戌拱合": {
            "name": "寅戌拱合",
            "guanxi": "拱合",
            "father": null,
            "leibie": "地支三合",
            "hehua": "火",
            "tip": null,
            "fangxiang": "午",
        },
        "巳丑拱合": {
            "name": "巳丑拱合",
            "guanxi": "拱合",
            "father": null,
            "leibie": "地支三合",
            "hehua": "金",
            "tip": null,
            "fangxiang": "酉",
        },
        "寅卯辰三会": {
            "name": "寅卯辰三会",
            "guanxi": "三会",
            "father": null,
            "leibie": "地支三会",
            "hehua": "木",
            "tip": null,
            "fangxiang": "卯",
        },
        "巳午未三会": {
            "name": "巳午未三会",
            "guanxi": "三会",
            "father": null,
            "leibie": "地支三会",
            "hehua": "火",
            "tip": null,
            "fangxiang": "午",
        },
        "申酉戌三会": {
            "name": "申酉戌三会",
            "guanxi": "三会",
            "father": null,
            "leibie": "地支三会",
            "hehua": "金",
            "tip": null,
            "fangxiang": "酉",
        },
        "亥子丑三会": {
            "name": "亥子丑三会",
            "guanxi": "三会",
            "father": null,
            "leibie": "地支三会",
            "hehua": "水",
            "tip": null,
            "fangxiang": "子",
        },
        "子卯刑": {
            "name": "子卯刑",
            "guanxi": "刑",
            "father": null,
            "leibie": "地支刑",
            "hehua": null,
            "tip": "一方付出，另一方不领情 ",
            "fangxiang": null,
        },
        "寅巳刑": {
            "name": "寅巳刑",
            "guanxi": "刑",
            "father": null,
            "leibie": "地支刑",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "巳申刑": {
            "name": "巳申刑",
            "guanxi": "刑",
            "father": null,
            "leibie": "地支刑",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "戌未刑": {
            "name": "戌未刑",
            "guanxi": "刑",
            "father": null,
            "leibie": "地支刑",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "丑戌刑": {
            "name": "丑戌刑",
            "guanxi": "刑",
            "father": null,
            "leibie": "地支刑",
            "hehua": null,
            "tip": "容易动刀，刑在年柱应期在0-15岁，往后每柱增加15岁应期，循环往复。也可能应在不同柱所代表的六亲身上。",
            "fangxiang": null,
        },
        "辰辰自刑": {
            "name": "辰辰自刑",
            "guanxi": "自刑",
            "father": null,
            "leibie": "地支自刑",
            "hehua": null,
            "tip": "容易庸人自扰，念头不通畅，进入哲学思维模式",
            "fangxiang": null,
        },
        "午午自刑": {
            "name": "午午自刑",
            "guanxi": "自刑",
            "father": null,
            "leibie": "地支自刑",
            "hehua": null,
            "tip": "容易口舌是非、空想，产生自我心理幻觉，无中生有又以此与人争执，或者喜欢没完没了的抱怨吐槽",
            "fangxiang": null,
        },
        "酉酉自刑": {
            "name": "酉酉自刑",
            "guanxi": "自刑",
            "father": null,
            "leibie": "地支自刑",
            "hehua": null,
            "tip": "容易神神叨叨，为金钱烦恼，喜欢抬扛",
            "fangxiang": null,
        },
        "亥亥自刑": {
            "name": "亥亥自刑",
            "guanxi": "自刑",
            "father": null,
            "leibie": "地支自刑",
            "hehua": null,
            "tip": "容易顾虑太多，选择困难",
            "fangxiang": null,
        },
        "卯午破": {
            "name": "卯午破",
            "guanxi": "破",
            "father": null,
            "leibie": "地支破",
            "hehua": null,
            "tip": "才多识广，读书破万卷(有家学渊源才行)；也指婚姻、感情破裂",
            "fangxiang": null,
        },
        "午酉破": {
            "name": "午酉破",
            "guanxi": "破",
            "father": null,
            "leibie": "地支破",
            "hehua": null,
            "tip": "离婚、也指炒股、贷款、金融上的投资不利，也表示抵押、车祸",
            "fangxiang": null,
        },
        "子酉破": {
            "name": "子酉破",
            "guanxi": "破",
            "father": null,
            "leibie": "地支破",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "巳申破": {
            "name": "巳申破",
            "guanxi": "破",
            "father": null,
            "leibie": "地支破",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "丑辰破": {
            "name": "丑辰破",
            "guanxi": "破",
            "father": null,
            "leibie": "地支破",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "寅亥破": {
            "name": "寅亥破",
            "guanxi": "破",
            "father": null,
            "leibie": "地支破",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "戌未破": {
            "name": "戌未破",
            "guanxi": "破",
            "father": null,
            "leibie": "地支破",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "子未穿": {
            "name": "子未穿",
            "guanxi": "穿",
            "father": null,
            "leibie": "地支穿",
            "hehua": null,
            "tip": "不计代价的除掉对方",
            "fangxiang": null,
        },
        "卯辰穿": {
            "name": "卯辰穿",
            "guanxi": "穿",
            "father": null,
            "leibie": "地支穿",
            "hehua": null,
            "tip": "凶险度很高的穿，慢性伤害，渗透后伤害",
            "fangxiang": null,
        },
        "酉戌穿": {
            "name": "酉戌穿",
            "guanxi": "穿",
            "father": null,
            "leibie": "地支穿",
            "hehua": null,
            "tip": "凶险度很高的穿，突发伤害，同归于尽的决绝，也指舆情、爆炸性新闻。穿配偶宫一旦领证就容易互相伤害，直到老死不相往来",
            "fangxiang": null,
        },
        "午丑穿": {
            "name": "午丑穿",
            "guanxi": "穿",
            "father": null,
            "leibie": "地支穿",
            "hehua": null,
            "tip": null,
            "fangxiang": null,
        },
        "寅巳穿": {
            "name": "寅巳穿",
            "guanxi": "穿",
            "father": null,
            "leibie": "地支穿",
            "hehua": null,
            "tip": "容易以卵击石，以小搏大",
            "fangxiang": null,
        },
        "申亥穿": {
            "name": "申亥穿",
            "guanxi": "穿",
            "father": null,
            "leibie": "地支穿",
            "hehua": null,
            "tip": "穿肠毒药，容易影响肠胃健康、出现肾病、宫寒、性病等",
            "fangxiang": null,
        },
    }

    export let config_gaoneng_query = {
        "甲己": [config_gaoneng["甲己合"]],
        "己甲": [config_gaoneng["甲己合"]],
        "乙庚": [config_gaoneng["乙庚合"]],
        "庚乙": [config_gaoneng["乙庚合"]],
        "丙辛": [config_gaoneng["丙辛合"]],
        "辛丙": [config_gaoneng["丙辛合"]],
        "丁壬": [config_gaoneng["丁壬合"]],
        "壬丁": [config_gaoneng["丁壬合"]],
        "戊癸": [config_gaoneng["戊癸合"]],
        "癸戊": [config_gaoneng["戊癸合"]],

        "甲庚": [config_gaoneng["甲庚冲"]],
        "庚甲": [config_gaoneng["甲庚冲"]],
        "乙辛": [config_gaoneng["乙辛冲"]],
        "辛乙": [config_gaoneng["乙辛冲"]],
        "丙壬": [config_gaoneng["丙壬冲"]],
        "壬丙": [config_gaoneng["丙壬冲"]],
        "丁癸": [config_gaoneng["丁癸冲"]],
        "癸丁": [config_gaoneng["丁癸冲"]],

        "子丑": [config_gaoneng["子丑合"]],
        "丑子": [config_gaoneng["子丑合"]],
        "寅亥": [config_gaoneng["寅亥合"], config_gaoneng["寅亥破"]],
        "亥寅": [config_gaoneng["寅亥合"], config_gaoneng["寅亥破"]],
        "卯戌": [config_gaoneng["卯戌合"]],
        "戌卯": [config_gaoneng["卯戌合"]],
        "酉辰": [config_gaoneng["酉辰合"]],
        "辰酉": [config_gaoneng["酉辰合"]],
        "巳申": [config_gaoneng["巳申合"], config_gaoneng["巳申刑"], config_gaoneng["巳申破"]],
        "申巳": [config_gaoneng["巳申合"], config_gaoneng["巳申刑"], config_gaoneng["巳申破"]],
        "午未": [config_gaoneng["午未合"]],
        "未午": [config_gaoneng["午未合"]],

        "子午": [config_gaoneng["子午冲"]],
        "午子": [config_gaoneng["子午冲"]],
        "巳亥": [config_gaoneng["巳亥冲"]],
        "亥巳": [config_gaoneng["巳亥冲"]],
        "卯酉": [config_gaoneng["卯酉冲"]],
        "酉卯": [config_gaoneng["卯酉冲"]],
        "申寅": [config_gaoneng["申寅冲"]],
        "寅申": [config_gaoneng["申寅冲"]],
        "辰戌": [config_gaoneng["辰戌冲"]],
        "戌辰": [config_gaoneng["辰戌冲"]],
        "丑未": [config_gaoneng["丑未冲"]],
        "未丑": [config_gaoneng["丑未冲"]],

        "寅丑": [config_gaoneng["寅丑暗合"]],
        "丑寅": [config_gaoneng["寅丑暗合"]],
        "午亥": [config_gaoneng["午亥暗合"]],
        "亥午": [config_gaoneng["午亥暗合"]],
        "申卯": [config_gaoneng["申卯暗合"]],
        "卯申": [config_gaoneng["申卯暗合"]],

        "子辰": [config_gaoneng["子辰半合"]],
        "辰子": [config_gaoneng["子辰半合"]],
        "申子": [config_gaoneng["申子半合"]],
        "子申": [config_gaoneng["申子半合"]],
        "亥卯": [config_gaoneng["亥卯半合"]],
        "卯亥": [config_gaoneng["亥卯半合"]],
        "卯未": [config_gaoneng["卯未半合"]],
        "未卯": [config_gaoneng["卯未半合"]],
        "寅午": [config_gaoneng["寅午半合"]],
        "午寅": [config_gaoneng["寅午半合"]],
        "午戌": [config_gaoneng["午戌半合"]],
        "戌午": [config_gaoneng["午戌半合"]],
        "巳酉": [config_gaoneng["巳酉半合"]],
        "酉巳": [config_gaoneng["巳酉半合"]],
        "酉丑": [config_gaoneng["酉丑半合"]],
        "丑酉": [config_gaoneng["酉丑半合"]],

        "申辰": [config_gaoneng["申辰拱合"]],
        "辰申": [config_gaoneng["申辰拱合"]],
        "亥未": [config_gaoneng["亥未拱合"]],
        "未亥": [config_gaoneng["亥未拱合"]],
        "寅戌": [config_gaoneng["寅戌拱合"]],
        "戌寅": [config_gaoneng["寅戌拱合"]],
        "巳丑": [config_gaoneng["巳丑拱合"]],
        "丑巳": [config_gaoneng["巳丑拱合"]],

        "寅卯辰": [config_gaoneng["寅卯辰三会"]],
        "寅辰卯": [config_gaoneng["寅卯辰三会"]],
        "卯寅辰": [config_gaoneng["寅卯辰三会"]],
        "卯辰寅": [config_gaoneng["寅卯辰三会"]],
        "辰寅卯": [config_gaoneng["寅卯辰三会"]],
        "辰卯寅": [config_gaoneng["寅卯辰三会"]],
        "巳午未": [config_gaoneng["巳午未三会"]],
        "巳未午": [config_gaoneng["巳午未三会"]],
        "午巳未": [config_gaoneng["巳午未三会"]],
        "午未巳": [config_gaoneng["巳午未三会"]],
        "未巳午": [config_gaoneng["巳午未三会"]],
        "未午巳": [config_gaoneng["巳午未三会"]],
        "申酉戌": [config_gaoneng["申酉戌三会"]],
        "申戌酉": [config_gaoneng["申酉戌三会"]],
        "酉申戌": [config_gaoneng["申酉戌三会"]],
        "酉戌申": [config_gaoneng["申酉戌三会"]],
        "戌申酉": [config_gaoneng["申酉戌三会"]],
        "戌酉申": [config_gaoneng["申酉戌三会"]],
        "亥子丑": [config_gaoneng["亥子丑三会"]],
        "亥丑子": [config_gaoneng["亥子丑三会"]],
        "子亥丑": [config_gaoneng["亥子丑三会"]],
        "子丑亥": [config_gaoneng["亥子丑三会"]],
        "丑亥子": [config_gaoneng["亥子丑三会"]],
        "丑子亥": [config_gaoneng["亥子丑三会"]],

        "子卯": [config_gaoneng["子卯刑"]],
        "卯子": [config_gaoneng["子卯刑"]],
        "寅巳": [config_gaoneng["寅巳刑"], config_gaoneng["寅巳穿"]],
        "巳寅": [config_gaoneng["寅巳刑"], config_gaoneng["寅巳穿"]],
        "戌未": [config_gaoneng["戌未刑"], config_gaoneng["戌未破"]],
        "未戌": [config_gaoneng["戌未刑"], config_gaoneng["戌未破"]],
        "丑戌": [config_gaoneng["丑戌刑"]],
        "戌丑": [config_gaoneng["丑戌刑"]],

        "辰辰": [config_gaoneng["辰辰自刑"]],
        "午午": [config_gaoneng["午午自刑"]],
        "酉酉": [config_gaoneng["酉酉自刑"]],
        "亥亥": [config_gaoneng["亥亥自刑"]],

        "卯午": [config_gaoneng["卯午破"]],
        "午卯": [config_gaoneng["卯午破"]],
        "午酉": [config_gaoneng["午酉破"]],
        "酉午": [config_gaoneng["午酉破"]],
        "子酉": [config_gaoneng["子酉破"]],
        "酉子": [config_gaoneng["子酉破"]],
        "丑辰": [config_gaoneng["丑辰破"]],
        "辰丑": [config_gaoneng["丑辰破"]],

        "子未": [config_gaoneng["子未穿"]],
        "未子": [config_gaoneng["子未穿"]],
        "卯辰": [config_gaoneng["卯辰穿"]],
        "辰卯": [config_gaoneng["卯辰穿"]],
        "酉戌": [config_gaoneng["酉戌穿"]],
        "戌酉": [config_gaoneng["酉戌穿"]],
        "午丑": [config_gaoneng["午丑穿"]],
        "丑午": [config_gaoneng["午丑穿"]],
        "申亥": [config_gaoneng["申亥穿"]],
        "亥申": [config_gaoneng["申亥穿"]],
    }

    export let config_shishen = {
        "甲": {
            "甲": "比",
            "乙": "劫",
            "丙": "食",
            "丁": "伤",
            "戊": "才",
            "己": "财",
            "庚": "杀",
            "辛": "官",
            "壬": "枭",
            "癸": "印",
            "子": "印",
            "丑": "财",
            "寅": "比",
            "卯": "劫",
            "辰": "才",
            "巳": "食",
            "午": "伤",
            "未": "财",
            "申": "杀",
            "酉": "官",
            "戌": "才",
            "亥": "枭",
        },
        "乙": {
            "甲": "劫",
            "乙": "比",
            "丙": "伤",
            "丁": "食",
            "戊": "财",
            "己": "才",
            "庚": "官",
            "辛": "杀",
            "壬": "印",
            "癸": "枭",
            "子": "枭",
            "丑": "才",
            "寅": "劫",
            "卯": "比",
            "辰": "财",
            "巳": "伤",
            "午": "食",
            "未": "才",
            "申": "官",
            "酉": "杀",
            "戌": "财",
            "亥": "印",
        },
        "丙": {
            "甲": "枭",
            "乙": "印",
            "丙": "比",
            "丁": "劫",
            "戊": "食",
            "己": "伤",
            "庚": "才",
            "辛": "财",
            "壬": "杀",
            "癸": "官",
            "子": "官",
            "丑": "伤",
            "寅": "枭",
            "卯": "印",
            "辰": "食",
            "巳": "比",
            "午": "劫",
            "未": "伤",
            "申": "才",
            "酉": "财",
            "戌": "食",
            "亥": "杀",
        },
        "丁": {
            "甲": "印",
            "乙": "枭",
            "丙": "劫",
            "丁": "比",
            "戊": "伤",
            "己": "食",
            "庚": "财",
            "辛": "才",
            "壬": "官",
            "癸": "杀",
            "子": "杀",
            "丑": "食",
            "寅": "印",
            "卯": "枭",
            "辰": "伤",
            "巳": "劫",
            "午": "比",
            "未": "食",
            "申": "财",
            "酉": "才",
            "戌": "伤",
            "亥": "官",
        },
        "戊": {
            "甲": "杀",
            "乙": "官",
            "丙": "枭",
            "丁": "印",
            "戊": "比",
            "己": "劫",
            "庚": "食",
            "辛": "伤",
            "壬": "才",
            "癸": "财",
            "子": "财",
            "丑": "劫",
            "寅": "杀",
            "卯": "官",
            "辰": "比",
            "巳": "枭",
            "午": "印",
            "未": "劫",
            "申": "食",
            "酉": "伤",
            "戌": "比",
            "亥": "才",
        },
        "己": {
            "甲": "官",
            "乙": "杀",
            "丙": "印",
            "丁": "枭",
            "戊": "劫",
            "己": "比",
            "庚": "伤",
            "辛": "食",
            "壬": "财",
            "癸": "才",
            "子": "才",
            "丑": "比",
            "寅": "官",
            "卯": "杀",
            "辰": "劫",
            "巳": "印",
            "午": "枭",
            "未": "比",
            "申": "伤",
            "酉": "食",
            "戌": "劫",
            "亥": "财",
        },
        "庚": {
            "甲": "才",
            "乙": "财",
            "丙": "杀",
            "丁": "官",
            "戊": "枭",
            "己": "印",
            "庚": "比",
            "辛": "劫",
            "壬": "食",
            "癸": "伤",
            "子": "伤",
            "丑": "印",
            "寅": "才",
            "卯": "财",
            "辰": "枭",
            "巳": "杀",
            "午": "官",
            "未": "印",
            "申": "比",
            "酉": "劫",
            "戌": "枭",
            "亥": "食",
        },
        "辛": {
            "甲": "财",
            "乙": "才",
            "丙": "官",
            "丁": "杀",
            "戊": "印",
            "己": "枭",
            "庚": "劫",
            "辛": "比",
            "壬": "伤",
            "癸": "食",
            "子": "食",
            "丑": "枭",
            "寅": "财",
            "卯": "才",
            "辰": "印",
            "巳": "官",
            "午": "官",
            "未": "杀",
            "申": "劫",
            "酉": "比",
            "戌": "印",
            "亥": "伤",
        },
        "壬": {
            "甲": "食",
            "乙": "伤",
            "丙": "才",
            "丁": "财",
            "戊": "杀",
            "己": "官",
            "庚": "枭",
            "辛": "印",
            "壬": "比",
            "癸": "劫",
            "子": "劫",
            "丑": "官",
            "寅": "食",
            "卯": "伤",
            "辰": "杀",
            "巳": "才",
            "午": "财",
            "未": "官",
            "申": "枭",
            "酉": "印",
            "戌": "杀",
            "亥": "比",
        },
        "癸": {
            "甲": "伤",
            "乙": "食",
            "丙": "财",
            "丁": "才",
            "戊": "官",
            "己": "杀",
            "庚": "印",
            "辛": "枭",
            "壬": "劫",
            "癸": "比",
            "子": "比",
            "丑": "杀",
            "寅": "伤",
            "卯": "食",
            "辰": "官",
            "巳": "财",
            "午": "才",
            "未": "杀",
            "申": "印",
            "酉": "枭",
            "戌": "官",
            "亥": "劫",
        },
        "子": {
            "甲": "伤",
            "乙": "食",
            "丙": "财",
            "丁": "才",
            "戊": "官",
            "己": "杀",
            "庚": "印",
            "辛": "枭",
            "壬": "劫",
            "癸": "比",
            "子": "比",
            "丑": "杀",
            "寅": "伤",
            "卯": "食",
            "辰": "官",
            "巳": "财",
            "午": "才",
            "未": "杀",
            "申": "印",
            "酉": "枭",
            "戌": "官",
            "亥": "劫",
        },
        "丑": {
            "甲": "官",
            "乙": "杀",
            "丙": "印",
            "丁": "枭",
            "戊": "劫",
            "己": "比",
            "庚": "伤",
            "辛": "食",
            "壬": "财",
            "癸": "才",
            "子": "才",
            "丑": "比",
            "寅": "官",
            "卯": "杀",
            "辰": "劫",
            "巳": "印",
            "午": "枭",
            "未": "比",
            "申": "伤",
            "酉": "食",
            "戌": "劫",
            "亥": "财",
        },
        "寅": {
            "甲": "比",
            "乙": "劫",
            "丙": "食",
            "丁": "伤",
            "戊": "才",
            "己": "财",
            "庚": "杀",
            "辛": "官",
            "壬": "枭",
            "癸": "印",
            "子": "印",
            "丑": "财",
            "寅": "比",
            "卯": "劫",
            "辰": "才",
            "巳": "食",
            "午": "伤",
            "未": "财",
            "申": "杀",
            "酉": "官",
            "戌": "才",
            "亥": "枭",
        },
        "卯": {
            "甲": "劫",
            "乙": "比",
            "丙": "伤",
            "丁": "食",
            "戊": "财",
            "己": "才",
            "庚": "官",
            "辛": "杀",
            "壬": "印",
            "癸": "枭",
            "子": "枭",
            "丑": "才",
            "寅": "劫",
            "卯": "比",
            "辰": "财",
            "巳": "伤",
            "午": "食",
            "未": "才",
            "申": "官",
            "酉": "杀",
            "戌": "财",
            "亥": "印",
        },
        "辰": {
            "甲": "杀",
            "乙": "官",
            "丙": "枭",
            "丁": "印",
            "戊": "比",
            "己": "劫",
            "庚": "食",
            "辛": "伤",
            "壬": "才",
            "癸": "财",
            "子": "财",
            "丑": "劫",
            "寅": "杀",
            "卯": "官",
            "辰": "比",
            "巳": "枭",
            "午": "印",
            "未": "劫",
            "申": "食",
            "酉": "伤",
            "戌": "比",
            "亥": "才",
        },
        "巳": {
            "甲": "枭",
            "乙": "印",
            "丙": "比",
            "丁": "劫",
            "戊": "食",
            "己": "伤",
            "庚": "才",
            "辛": "财",
            "壬": "杀",
            "癸": "官",
            "子": "官",
            "丑": "伤",
            "寅": "枭",
            "卯": "印",
            "辰": "食",
            "巳": "比",
            "午": "劫",
            "未": "伤",
            "申": "才",
            "酉": "财",
            "戌": "食",
            "亥": "杀",
        },
        "午": {
            "甲": "印",
            "乙": "枭",
            "丙": "劫",
            "丁": "比",
            "戊": "伤",
            "己": "食",
            "庚": "财",
            "辛": "才",
            "壬": "官",
            "癸": "杀",
            "子": "杀",
            "丑": "食",
            "寅": "印",
            "卯": "枭",
            "辰": "伤",
            "巳": "劫",
            "午": "比",
            "未": "食",
            "申": "财",
            "酉": "才",
            "戌": "伤",
            "亥": "官",
        },
        "未": {
            "甲": "官",
            "乙": "杀",
            "丙": "印",
            "丁": "枭",
            "戊": "劫",
            "己": "比",
            "庚": "伤",
            "辛": "食",
            "壬": "财",
            "癸": "才",
            "子": "才",
            "丑": "比",
            "寅": "官",
            "卯": "杀",
            "辰": "劫",
            "巳": "印",
            "午": "枭",
            "未": "比",
            "申": "伤",
            "酉": "食",
            "戌": "劫",
            "亥": "财",
        },
        "申": {
            "甲": "才",
            "乙": "财",
            "丙": "杀",
            "丁": "官",
            "戊": "枭",
            "己": "印",
            "庚": "比",
            "辛": "劫",
            "壬": "食",
            "癸": "伤",
            "子": "伤",
            "丑": "印",
            "寅": "才",
            "卯": "财",
            "辰": "枭",
            "巳": "杀",
            "午": "官",
            "未": "印",
            "申": "比",
            "酉": "劫",
            "戌": "枭",
            "亥": "食",
        },
        "酉": {
            "甲": "财",
            "乙": "才",
            "丙": "官",
            "丁": "杀",
            "戊": "印",
            "己": "枭",
            "庚": "劫",
            "辛": "比",
            "壬": "伤",
            "癸": "食",
            "子": "食",
            "丑": "枭",
            "寅": "财",
            "卯": "才",
            "辰": "印",
            "巳": "官",
            "午": "官",
            "未": "杀",
            "申": "劫",
            "酉": "比",
            "戌": "印",
            "亥": "伤",
        },
        "戌": {
            "甲": "杀",
            "乙": "官",
            "丙": "枭",
            "丁": "印",
            "戊": "比",
            "己": "劫",
            "庚": "食",
            "辛": "伤",
            "壬": "才",
            "癸": "财",
            "子": "财",
            "丑": "劫",
            "寅": "杀",
            "卯": "官",
            "辰": "比",
            "巳": "枭",
            "午": "印",
            "未": "劫",
            "申": "食",
            "酉": "伤",
            "戌": "比",
            "亥": "才",
        },
        "亥": {
            "甲": "食",
            "乙": "伤",
            "丙": "才",
            "丁": "财",
            "戊": "杀",
            "己": "官",
            "庚": "枭",
            "辛": "印",
            "壬": "比",
            "癸": "劫",
            "子": "劫",
            "丑": "官",
            "寅": "食",
            "卯": "伤",
            "辰": "杀",
            "巳": "才",
            "午": "财",
            "未": "官",
            "申": "枭",
            "酉": "印",
            "戌": "杀",
            "亥": "比",
        },
    }

    export let config_gaoneng_xing = {
        "寅巳刑": {
            "刑出": ["丙", "戊"],
            "刑冲": ["甲庚冲"]
        },
        "巳申刑": {
            "刑出": ["庚", "戊"],
            "刑冲": ["丙壬冲"]
        },
        "戌未刑": {
            "刑出": ["丁"],
            "刑冲": ["乙辛冲"]
        },
        "丑戌刑": {
            "刑出": ["辛"],
            "刑冲": ["丁癸冲"]
        },
    }

    export let config_gaoneng_score = {
        "合": {
            "官": {
                "官": 2,
                "杀": 1,
                "财": 8,
                "才": 7,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "杀": {
                "官": 2,
                "杀": 1,
                "财": 8,
                "才": 7,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "财": {
                "官": 8,
                "杀": 7,
                "财": 2,
                "才": 1,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "才": {
                "官": 8,
                "杀": 7,
                "财": 2,
                "才": 1,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "印": {
                "官": 9,
                "杀": 10,
                "财": 8,
                "才": 7,
                "印": 2,
                "枭": 1,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "枭": {
                "官": 9,
                "杀": 10,
                "财": 8,
                "才": 7,
                "印": 2,
                "枭": 1,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "食": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 2,
                "伤": 1,
                "比": 4,
                "劫": 3,
            },
            "伤": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 2,
                "伤": 1,
                "比": 4,
                "劫": 3,
            },
            "比": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 4,
                "伤": 3,
                "比": 2,
                "劫": 1,
            },
            "劫": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 4,
                "伤": 3,
                "比": 2,
                "劫": 1,
            },
        },
        "暗合": {
            "官": {
                "官": 2,
                "杀": 1,
                "财": 8,
                "才": 7,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "杀": {
                "官": 2,
                "杀": 1,
                "财": 8,
                "才": 7,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "财": {
                "官": 8,
                "杀": 7,
                "财": 2,
                "才": 1,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "才": {
                "官": 8,
                "杀": 7,
                "财": 2,
                "才": 1,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "印": {
                "官": 9,
                "杀": 10,
                "财": 8,
                "才": 7,
                "印": 2,
                "枭": 1,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "枭": {
                "官": 9,
                "杀": 10,
                "财": 8,
                "才": 7,
                "印": 2,
                "枭": 1,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "食": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 2,
                "伤": 1,
                "比": 4,
                "劫": 3,
            },
            "伤": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 2,
                "伤": 1,
                "比": 4,
                "劫": 3,
            },
            "比": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 4,
                "伤": 3,
                "比": 2,
                "劫": 1,
            },
            "劫": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 4,
                "伤": 3,
                "比": 2,
                "劫": 1,
            },
        },
        "半合": {
            "官": {
                "官": 2,
                "杀": 1,
                "财": 8,
                "才": 7,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "杀": {
                "官": 2,
                "杀": 1,
                "财": 8,
                "才": 7,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "财": {
                "官": 8,
                "杀": 7,
                "财": 2,
                "才": 1,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "才": {
                "官": 8,
                "杀": 7,
                "财": 2,
                "才": 1,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "印": {
                "官": 9,
                "杀": 10,
                "财": 8,
                "才": 7,
                "印": 2,
                "枭": 1,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "枭": {
                "官": 9,
                "杀": 10,
                "财": 8,
                "才": 7,
                "印": 2,
                "枭": 1,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "食": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 2,
                "伤": 1,
                "比": 4,
                "劫": 3,
            },
            "伤": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 2,
                "伤": 1,
                "比": 4,
                "劫": 3,
            },
            "比": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 4,
                "伤": 3,
                "比": 2,
                "劫": 1,
            },
            "劫": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 4,
                "伤": 3,
                "比": 2,
                "劫": 1,
            },
        },
        "拱合": {
            "官": {
                "官": 2,
                "杀": 1,
                "财": 8,
                "才": 7,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "杀": {
                "官": 2,
                "杀": 1,
                "财": 8,
                "才": 7,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "财": {
                "官": 8,
                "杀": 7,
                "财": 2,
                "才": 1,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "才": {
                "官": 8,
                "杀": 7,
                "财": 2,
                "才": 1,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "印": {
                "官": 9,
                "杀": 10,
                "财": 8,
                "才": 7,
                "印": 2,
                "枭": 1,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "枭": {
                "官": 9,
                "杀": 10,
                "财": 8,
                "才": 7,
                "印": 2,
                "枭": 1,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "食": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 2,
                "伤": 1,
                "比": 4,
                "劫": 3,
            },
            "伤": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 2,
                "伤": 1,
                "比": 4,
                "劫": 3,
            },
            "比": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 4,
                "伤": 3,
                "比": 2,
                "劫": 1,
            },
            "劫": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 4,
                "伤": 3,
                "比": 2,
                "劫": 1,
            },
        },
        "冲": {
            "官": {
                "官": 2,
                "杀": 1,
                "财": 10,
                "才": 9,
                "印": 4,
                "枭": 3,
                "食": 6,
                "伤": 5,
                "比": 8,
                "劫": 7,
            },
            "杀": {
                "官": 2,
                "杀": 1,
                "财": 10,
                "才": 9,
                "印": 4,
                "枭": 3,
                "食": 6,
                "伤": 5,
                "比": 8,
                "劫": 7,
            },
            "财": {
                "官": 8,
                "杀": 7,
                "财": 2,
                "才": 1,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "才": {
                "官": 8,
                "杀": 7,
                "财": 2,
                "才": 1,
                "印": 10,
                "枭": 9,
                "食": 6,
                "伤": 5,
                "比": 4,
                "劫": 3,
            },
            "印": {
                "官": 4,
                "杀": 3,
                "财": 10,
                "才": 9,
                "印": 2,
                "枭": 1,
                "食": 8,
                "伤": 7,
                "比": 6,
                "劫": 5,
            },
            "枭": {
                "官": 4,
                "杀": 3,
                "财": 10,
                "才": 9,
                "印": 2,
                "枭": 1,
                "食": 8,
                "伤": 7,
                "比": 6,
                "劫": 5,
            },
            "食": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 2,
                "伤": 1,
                "比": 4,
                "劫": 3,
            },
            "伤": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 2,
                "伤": 1,
                "比": 4,
                "劫": 3,
            },
            "比": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 4,
                "伤": 3,
                "比": 2,
                "劫": 1,
            },
            "劫": {
                "官": 8,
                "杀": 7,
                "财": 6,
                "才": 5,
                "印": 10,
                "枭": 9,
                "食": 4,
                "伤": 3,
                "比": 2,
                "劫": 1,
            },
        },
        "穿": {
            "官": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "杀": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "财": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "才": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "印": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "枭": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "食": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "伤": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "比": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "劫": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
        },
        "破": {
            "官": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "杀": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "财": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "才": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "印": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "枭": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "食": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "伤": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "比": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "劫": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
        },
        "刑": {
            "官": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "杀": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "财": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "才": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "印": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "枭": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "食": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "伤": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "比": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
            "劫": {
                "官": 3,
                "杀": 4,
                "财": 5,
                "才": 6,
                "印": 1,
                "枭": 2,
                "食": 7,
                "伤": 8,
                "比": 9,
                "劫": 10,
            },
        },
    }

    export let config_gaoneng_lushen_score = {
        "合": 80,
        "暗合": 70,
        "冲": 10,
        "刑": -10,
        "破": -20,
        "穿": -30,
    }

    export let config_gaoneng_guanxi_score = {
        "合": 50,
        "暗合": 40,
        "半合": 0,
        "拱合": 0,
        "刑": -30,
        "冲": -20,
        "穿": -40,
        "破": -35,
    }

    export let mbti_results = {
        "ISTJ": {
            "性格": [
                "严谨和责任感：ISTJ性格的人通常非常注重责任感和义务感。他们做事有条理，喜欢按计划行事，确保每个细节都被仔细考虑。",
                "现实和务实：他们倾向于关注现实和可行的解决方案，更依赖事实和过去的经验，而不是抽象的概念或未来的可能性。",
                "逻辑和分析能力：ISTJ类型的人善于分析和逻辑推理，做决策时更倾向于基于事实和理性。",
                "独立和内向：他们喜欢独立工作，通常更喜欢独自思考和处理问题，而不是在社交场合中表现自己",
                "保守和传统：ISTJ人往往尊重传统和规则，喜欢稳定和可预测的环境。"
            ],
            "工作": [
                "可靠性：ISTJ员工通常是团队中最可靠的人。他们能够按时完成任务，并且工作质量高。",
                "细节导向：他们擅长处理需要高度注意细节的任务，通常在项目管理、财务、会计、法律等领域表现出色。",
                "责任感强：他们对自己的职责非常负责，会努力确保工作按计划进行。",
                "倾向于独立工作：ISTJ人更喜欢有清晰界限和目标的任务，能够独立完成，而不需要太多的团队互动。",
            ],
            "生活": [
                "有条理的生活：ISTJ倾向于将生活安排得井井有条，喜欢计划日常活动并遵守时间表。",
                "节俭和谨慎：他们在生活中通常很节俭，喜欢控制开支，确保财务的稳定性。",
                "尊重传统：他们在日常生活中往往遵循传统习惯，喜欢保持生活的稳定和秩序。",
            ],
            "情感": [
                "忠诚和可靠：在情感关系中，ISTJ通常是非常忠诚的伴侣，他们对伴侣充满责任感，会努力维持关系的稳定。",
                "务实的爱：他们的表达爱意的方式可能不太浪漫或富有创意，但通常表现为对伴侣的可靠和实际的支持。",
                "倾向于内向表达：ISTJ人可能不善于表达感情，倾向于通过行动而不是言语来表达对对方的关心。",
            ],
            "社交": [
                "稳重的朋友：ISTJ是非常可靠和忠诚的朋友，他们重视长久的友谊，通常会为朋友提供实际的帮助。",
                "谨慎选择社交圈：他们更喜欢有质量的深度关系，而不是广泛的社交网络，因此可能朋友不多，但关系很深。",
                "倾向于理性互动：在社交场合，ISTJ人通常会保持理性，不会表现得过于情感化。",
            ],
            "财富": [
                "谨慎理财：ISTJ人通常会小心管理自己的财务，喜欢制定预算和计划，以确保财务的安全和稳定。",
                "长期投资：他们倾向于选择安全且有保障的投资方式，注重长期的财务增长，而不是冒险追求高回报。",
                "储蓄倾向：他们有很强的储蓄习惯，喜欢为未来做打算，确保财务上的稳定性。",
            ],
        },
        "ISFJ": {
            "性格": [
                "忠诚和责任感：ISFJ性格的人非常忠诚，重视承诺，并且对家庭、朋友和工作都表现出高度的责任感。",
                "关怀和共情：他们对他人的感受非常敏感，善于理解和支持他人，常常表现出极大的同情心和共情能力。",
                "细心和务实：ISFJ人非常注重细节，喜欢按照既定的规则和程序行事，务实且有条不紊。",
                "传统和稳定：他们尊重传统，喜欢稳定和可预见的生活方式，不喜欢突如其来的变化。",
                "内向且温和：虽然他们内向，但他们非常关心他人，往往通过实际行动来表达对他人的关心和支持。",
            ],
            "工作": [
                "细致入微：ISFJ在工作中非常注重细节，特别擅长那些需要细心和耐心的任务，如护理、教育、行政支持等。",
                "团队合作：他们是优秀的团队成员，喜欢在稳定和有序的环境中工作，愿意为团队的成功做出贡献。",
                "可靠和守时：他们以高效和准时完成任务而闻名，通常是最可靠的员工之一。",
                "关注他人的需求：ISFJ在工作中也很关注同事的感受，通常能够很好地协调团队关系，促进和谐的工作环境。",
            ],
            "生活": [
                "家庭导向：ISFJ非常重视家庭关系，喜欢照顾家人和朋友，通常在家庭中扮演“守护者”的角色。",
                "有条理的生活：他们喜欢把生活安排得井井有条，注重保持家居环境的整洁和有序。",
                "节俭和务实：他们在生活中非常节俭，注重储蓄和财务管理，以确保生活的稳定和安全。",
            ],
            "情感": [
                "忠诚和深情：在情感关系中，ISFJ是非常忠诚和深情的伴侣，他们愿意为伴侣付出，并且非常注重对方的需求和感受。",
                "实际的爱：他们通过实际行动来表达爱意，如照顾对方的生活细节，而不太倾向于通过语言表达感情。",
                "情感敏感：ISFJ很敏感，容易受到他人情感的影响，因此在关系中他们非常重视情感上的支持和理解。",
            ],
            "社交": [
                "忠诚的朋友：ISFJ是非常忠诚的朋友，他们珍视长久的友谊，并愿意为朋友提供无条件的支持和帮助。",
                "倾向于深度关系：他们更喜欢与少数几个人建立深厚的关系，而不是广泛社交，因此他们的朋友可能不多，但关系非常牢固。",
                "温和且包容：他们在人际交往中表现得温和且包容，善于倾听并给予支持。",
            ],
            "财富": [
                "保守理财：ISFJ在财富管理上比较保守，喜欢安全且有保障的理财方式，注重长期的财务稳定。",
                "节俭和储蓄：他们有很强的储蓄习惯，倾向于精打细算，确保未来有充足的财务保障。",
                "关注家庭财务：他们通常非常重视家庭的财务健康，愿意为家人的未来财务安全做出长期规划。",
            ],
        },
        "INFJ": {
            "性格": [
                "理想主义和远见：INFJ性格的人通常有很强的理想主义倾向，喜欢思考宏大的理念和未来的可能性。他们往往拥有远见卓识，能够看到大局，并为理想而努力。",
                "深刻的洞察力：他们具有很强的洞察力，能够敏锐地理解他人的情感和动机，常常对人性和社会有深刻的理解。",
                "同情心和关怀：INFJ非常关注他人的情感和需求，具有强烈的同情心，愿意为他人提供情感上的支持和帮助。",
                "独立和内向：尽管他们关心他人，但INFJ通常是内向的，喜欢独处以思考和反省。他们需要独处的时间来充电和保持内心的平衡。",
                "组织性和决断力：INFJ虽然内向，但在需要时可以表现出强大的组织能力和决断力，特别是在推动他们深信不疑的事业或目标时。",
            ],
            "工作": [
                "使命感驱动：INFJ通常在那些能够与他们的价值观和使命感一致的工作中表现出色，如心理咨询、教育、社会工作等领域。",
                "创造性和战略性：他们善于提出独特的见解和解决方案，能够在复杂的情境中找到创新的出路。",
                "倾向于帮助他人：INFJ喜欢帮助他人实现潜力，因此他们常常在能够支持和指导他人的角色中感到满足。",
                "完美主义倾向：他们对自己的工作有很高的要求，往往追求完美，希望自己的工作能够真正带来积极的影响。",
            ],
            "生活": [
                "深思熟虑的生活：INFJ倾向于深思熟虑地安排生活，注重内心的成长和精神的充实，喜欢探索哲学、心理学等领域。",
                "有意义的生活方式：他们寻求在生活中实现更高的目标，常常参与志愿者活动或其他能够为社会带来正面影响的活动。",
                "注重隐私和独处：尽管他们关心他人，但也非常重视个人的隐私和独处时间，喜欢在安静的环境中沉思和创作。",
            ],
            "情感": [
                "深情和忠诚：INFJ在情感关系中非常深情，他们渴望建立深刻的情感连接，并对伴侣表现出极大的忠诚和支持。",
                "高标准：他们对情感关系有很高的标准，渴望找到能够与他们分享内心世界并理解他们的伴侣。",
                "理想化的爱：他们往往会理想化爱情，希望在关系中实现他们内心的理想和梦想，因此可能会对关系的现实性产生挑战。",
            ],
            "社交": [
                "少而精的友谊：INFJ通常不会有很多朋友，但他们与朋友之间的关系往往非常深厚且持久。他们倾向于选择那些能够理解他们并与他们在精神层面有共鸣的人作为朋友。",
                "关怀和支持：他们在友谊中非常关心和支持朋友，常常扮演倾听者和顾问的角色，提供深刻的洞见和帮助。",
                "社交选择性：他们在社交场合中往往比较选择性，喜欢与少数几个志同道合的人互动，而不是参加大型社交活动。",
            ],
            "财富": [
                "价值导向的理财：INFJ在理财上更注重与个人价值观一致的选择，他们可能会选择社会责任投资或慈善捐款等方式来管理财富。",
                "节制的消费：他们通常不会挥霍，倾向于将资金用于那些对他们来说有深远意义的事物上，而不是短暂的享乐。",
                "长远规划：INFJ喜欢为未来做长期规划，确保他们的财务状况能够支持他们的理想和目标。",
            ],
        },
        "INTJ": {
            "性格": [
                "战略性思维：INTJ性格的人具有极强的战略思维能力，擅长长远规划，能够预见未来的发展趋势，并制定切实可行的计划。",
                "独立和自主：他们非常独立，喜欢自主工作，通常不依赖他人的帮助。他们信任自己的判断，并且倾向于按照自己的方式行事。",
                "逻辑和理性：INTJ重视逻辑和理性，做决定时更倾向于客观分析，而不是感情用事。他们擅长解决复杂问题，能够迅速找到有效的解决方案。",
                "创新和创造力：他们有很强的创造力，喜欢挑战现状，追求创新的方式来实现目标。INTJ经常提出独特的见解和解决方案。",
                "内向且沉稳：尽管他们有强烈的目标感，但INTJ通常是内向的，喜欢独立思考和行动，不太喜欢社交活动。",
            ],
            "工作": [
                "高效和果断：INTJ在工作中通常表现出极高的效率和果断的决策能力，擅长在复杂的环境中做出明智的决策。",
                "领导能力：虽然他们是内向型，但在需要时，INTJ可以成为非常有效的领导者。他们能够设定清晰的目标，并激励团队朝着这些目标努力。",
                "持续改进：他们不断寻求改进和优化工作流程，喜欢寻找更有效的工作方式，推动组织的发展。",
                "挑战现状：INTJ不喜欢墨守成规，常常挑战现有的系统和流程，以找到更好的解决方案。",
            ],
            "生活": [
                "目标导向的生活：INTJ倾向于设定明确的生活目标，并努力实现这些目标。他们喜欢规划未来，并按照计划逐步实现目标。",
                "高标准的自我要求：他们对自己有很高的要求，追求卓越，并不断努力提升自我。他们通常会精心选择如何分配时间和精力，以最大化效率。",
                "独立性强：INTJ喜欢独立处理生活中的各种事务，通常不依赖他人帮助，喜欢自主决定生活中的重要事项。",
            ],
            "情感": [
                "理性与深情并存：虽然INTJ更倾向于理性分析，但他们在情感关系中也是深情且忠诚的伴侣。他们会仔细选择伴侣，并倾向于建立基于共同目标和价值观的关系。",
                "独立的情感表达：他们不太善于表达情感，但会通过实际行动来表达对伴侣的关心。他们尊重伴侣的独立性，也希望伴侣能够理解和支持他们的目标。",
                "高标准的伴侣选择：INTJ通常对伴侣有较高的标准，期待找到能够与他们在智力和价值观上匹配的人。",
            ],
            "社交": [
                "选择性社交：INTJ在社交上比较谨慎，喜欢与少数几个志同道合的人建立深厚的关系，而不是广泛社交。他们在社交场合中通常显得冷静且沉稳。",
                "深思熟虑的朋友：他们选择朋友时非常谨慎，通常会选择那些能够理解和支持他们的目标和理想的人作为朋友。",
                "理性互动：INTJ在人际关系中通常保持理性和客观，他们尊重他人的独立性，但也希望他人能够尊重他们的观点和决策。",
            ],
            "财富": [
                "长期投资者：INTJ在财富管理上表现得非常理性和谨慎，倾向于做出长期的财务规划和投资决策，以实现他们的财务目标。",
                "注重效率：他们在理财时注重效率，喜欢寻找回报最大化的投资方式，并精心管理财务资源。",
                "风险管理：虽然他们愿意投资，但通常会仔细分析风险并制定应对策略，以确保财务的安全性和稳定性。",
            ],
        },
        "ISTP": {
            "性格": [
                "独立和实用：ISTP性格的人非常独立，喜欢亲自动手解决问题。他们擅长处理实际问题，喜欢通过实践来理解事物，常常展现出极强的动手能力。",
                "适应性强：他们非常灵活和适应性强，能够迅速应对变化，喜欢挑战和探索新的体验，而不喜欢被严格的计划束缚。",
                "逻辑性和分析力：ISTP人善于分析问题，他们以逻辑和事实为导向，能够快速识别问题的核心，并找到解决方法。",
                "冷静和沉着：在压力或紧急情况下，ISTP能够保持冷静，迅速做出决策和行动，展现出沉着的态度。",
                "冒险精神：他们喜欢探索新事物和冒险，往往对极限运动、机械、工具和技术有浓厚的兴趣。",
            ],
            "工作": [
                "动手能力强：ISTP擅长动手实践，通常在需要操作技能和实际解决问题的工作中表现出色，如工程、机械、维修、技术支持等领域。",
                "独立工作：他们更喜欢独立完成任务，通常不喜欢过多的监督或团队合作，更倾向于按自己的节奏工作。",
                "快速决策：ISTP能够在短时间内做出有效的决策，特别是在需要迅速应对的工作环境中表现得尤为出色。",
                "追求新挑战：他们喜欢变化和新鲜感，因此在工作中也常常寻求新的挑战和不同的任务。",
            ],
            "生活": [
                "灵活的生活方式：ISTP在生活中非常灵活，不喜欢被严格的时间表或计划束缚，更喜欢随心所欲地安排生活。",
                "实用主义：他们在日常生活中表现出实用主义倾向，更关注实际效果，而不太注重理论或抽象的理念。",
                "享受自由：ISTP非常重视个人自由，喜欢有自己的空间和时间，能够自由地探索和体验新事物。",
            ],
            "情感": [
                "现实主义者：在情感关系中，ISTP通常是务实的伴侣，他们不太倾向于浪漫或感情用事，而是更关注关系中的实际问题和解决方案。",
                "尊重独立性：他们尊重伴侣的独立性，同时也希望伴侣能够尊重他们的自由和个人空间。",
                "低调的情感表达：ISTP可能不会通过言语频繁表达情感，但会通过实际行动来表现对伴侣的关心和支持。",
            ],
            "社交": [
                "直率和诚实：ISTP通常是直率和诚实的，他们不喜欢拐弯抹角，在人际关系中更喜欢开诚布公。",
                "随和但保留：他们在人际交往中表现得随和，但通常不主动寻求社交活动，更倾向于在熟悉的圈子里保持少量深厚的关系。",
                "重视个人空间：ISTP非常重视自己的个人空间，不喜欢被他人干涉或打扰，因此他们的社交互动往往是简洁而有效的。",
            ],
            "财富": [
                "实用理财：ISTP在财富管理上表现得非常实用和现实，他们倾向于对具体的财务目标进行规划，而不是长远的财务战略。",
                "灵活性强：他们在理财上也展现出极强的适应性，能够根据实际情况迅速调整策略，以确保财务状况的灵活性。",
                "谨慎投资：虽然喜欢冒险，但在涉及金钱时，ISTP通常会保持谨慎，倾向于选择他们能够完全理解并直接控制的投资方式。",
            ],
        },
        "ISFP": {
            "性格": [
                "艺术感和创造力：ISFP性格的人往往具有很强的艺术感和创造力。他们擅长表达自己内在的情感和感受，通常通过艺术、音乐、手工艺等方式展现自己。",
                "温柔和敏感：他们非常敏感，关注他人的情感和感受，表现出温柔和关怀的一面。ISFP往往是善良、体贴的人，愿意帮助他人。",
                "追求自由和灵活性：ISFP喜欢自由和灵活的生活方式，不喜欢受到限制或被严格的计划束缚。他们喜欢随心所欲地体验生活。",
                "内向且注重个人体验：虽然他们内向，但ISFP非常注重个人的体验和感受，喜欢独处以思考和感受世界，往往对自然和美有深刻的感知。",
                "实用主义：他们虽然有艺术倾向，但也非常实用，喜欢把美和功能结合在一起，追求实际的解决方案。",
            ],
            "工作": [
                "创造性和艺术性：ISFP在需要创造力和艺术感的工作中表现出色，如设计、艺术、音乐、摄影等领域。他们喜欢通过工作表达个人的感受和情感。",
                "注重细节：他们在工作中非常注重细节，尤其是在需要手工艺或精细工作的领域，常常表现得非常精致和细腻。",
                "追求灵活性：ISFP喜欢灵活的工作环境，通常不喜欢被严格的规定和计划束缚，倾向于在自由度较高的工作中表现最佳。",
                "实践导向：他们更喜欢实际的工作，而不是过多的理论或抽象思考，喜欢亲自动手完成任务。",
            ],
            "生活": [
                "随和的生活方式：ISFP在生活中非常随和，喜欢随遇而安的生活方式，不太喜欢规划，喜欢根据当下的心情和感觉做决定。",
                "重视个人空间：他们非常重视个人空间和独处的时间，喜欢在安静的环境中思考和感受生活。",
                "热爱自然：ISFP通常对大自然有深厚的感情，喜欢户外活动，如徒步、露营或其他与自然接触的活动。",
            ],
            "情感": [
                "深情和温柔：ISFP在情感关系中表现出极大的深情和温柔，他们愿意为伴侣付出，并以温和和体贴的方式表达爱意。",
                "感性的爱：他们通过感性和细腻的方式来表达爱意，喜欢通过小礼物、音乐或艺术作品来展现对伴侣的关心。",
                "尊重伴侣的自由：他们尊重伴侣的独立性和自由，喜欢与伴侣一起探索生活的美好，但也需要一定的个人空间。",
            ],
            "社交": [
                "友好和体贴：ISFP通常是友好且体贴的朋友，他们非常关注朋友的感受，并愿意为朋友提供支持和帮助。",
                "低调和内敛：他们在人际交往中比较低调，不喜欢成为关注的焦点，往往喜欢在小圈子里与亲近的人互动。",
                "倾听者：ISFP是出色的倾听者，他们能够认真倾听他人的烦恼和需求，并提供温和的建议。",
            ],
            "财富": [
                "随性理财：ISFP在财富管理上通常比较随性，他们更倾向于花钱在能带来即时满足和快乐的事情上，而不是长远的财务规划。",
                "重视体验：他们更愿意将钱花在能够带来愉快体验的事情上，如旅行、艺术品或美食，而不是物质上的积累。",
                "不喜欢冒险投资：虽然他们喜欢自由和灵活，但在财务上，ISFP通常不喜欢高风险的投资，更倾向于稳定和安全的理财方式。",
            ],
        },
        "INFP": {
            "性格": [
                "理想主义和价值驱动：INFP性格的人非常注重内在价值和信仰，他们通常是理想主义者，追求一种更美好的世界和生活方式。他们愿意为自己的理想奋斗，并且往往在道德和伦理问题上有明确的立场。",
                "富有同情心和共情能力：INFP对他人的情感和痛苦非常敏感，能够深刻地理解和感受他人的处境。他们往往是善良且同情心强的人，愿意帮助他人，并为他人的福祉而努力。",
                "创造力和想象力：他们具有丰富的创造力和想象力，喜欢沉浸在自己的思想和幻想中。INFP往往对艺术、文学、音乐等领域有浓厚的兴趣，并通过这些方式表达内心的感受和想法。",
                "内向且独立：INFP通常是内向的，喜欢独处，以便反思和内省。他们需要时间来处理自己的情感和思想，倾向于通过独立的方式来探索和理解世界。",
                "开放和适应性：尽管他们有坚定的价值观，但INFP对新观点和新体验持开放态度，愿意探索未知和不同的事物。他们喜欢保持生活的灵活性和自由度，不喜欢被严格的规则束缚。",
            ],
            "工作": [
                "意义导向：INFP在工作中更倾向于寻找能与个人价值观一致的工作，喜欢从事那些能带来社会或个人意义的职业，如心理咨询、教育、创意写作、艺术等。",
                "创造性强：他们在需要创造力和想象力的工作中表现出色，擅长提出独特的想法和解决方案，喜欢参与能够表达个人感受和思想的项目。",
                "独立工作：INFP喜欢有自主性和创造性的工作环境，通常不喜欢被过多的监督，更喜欢按照自己的节奏和方式完成任务。",
                "坚持信念：他们会坚定地追求符合自己价值观的事业，愿意为自己的理想和目标付出努力，尽管有时可能显得不太实际。",
            ],
            "生活": [
                "深思熟虑的生活：INFP倾向于过一种深思熟虑的生活，他们喜欢探索人生的意义和目的，常常沉思和反省，以寻找内心的平静和满足。",
                "重视个性表达：他们非常重视通过艺术、写作、音乐等方式表达个人的感受和思想，常常参与能够让他们展示内心世界的活动。",
                "追求自由和灵活性：INFP在生活中追求自由和灵活性，不喜欢被固定的日程和计划束缚，喜欢根据心情和感觉做决定。",
            ],
            "情感": [
                "深情和理想化：INFP在情感关系中非常深情，他们倾向于理想化伴侣和爱情，希望找到能与自己内心深度共鸣的人。他们愿意为爱付出，并追求真挚和深刻的情感连接。",
                "敏感和共情：他们对伴侣的情感非常敏感，能够深刻理解对方的感受，并以同情和关怀的态度支持伴侣。",
                "需要理解和支持：由于他们的情感世界非常丰富，INFP需要一个能够理解和支持他们内心深处情感的伴侣，他们渴望一种深刻且有意义的关系。",
            ],
            "社交": [
                "少而精的友谊：INFP通常不会有很多朋友，但他们会珍惜与少数几个人的深厚友谊。他们倾向于选择那些能够理解并分享他们价值观的人作为朋友。",
                "倾听者和支持者：他们是出色的倾听者，能够提供情感支持和理解，常常扮演朋友和家人中情感支持者的角色。",
                "内向且低调：INFP在人际关系中通常表现得内向且低调，他们不喜欢成为社交场合的焦点，更倾向于在安静且信任的环境中与人交往。",
            ],
            "财富": [
                "非物质主义者：INFP往往对物质财富不太感兴趣，他们更看重精神和情感上的满足，可能会选择为支持慈善或追求艺术而花钱，而不是积累财富。",
                "注重价值投资：他们在财富管理上可能会倾向于投资那些符合自己价值观的项目或企业，而不是仅仅追求高回报。",
                "随性理财：由于他们更注重当下的生活体验，INFP可能不会严格遵守预算或长期理财计划，喜欢随心所欲地使用金钱。",
            ],
        },
        "INTP": {
            "性格": [
                "强大的逻辑和分析能力：INTP性格的人具有极强的逻辑思维能力和分析技巧。他们喜欢解构复杂的问题，擅长从多个角度深入探讨，并寻找创新的解决方案。",
                "好奇心和探索精神：他们对知识有强烈的渴望，喜欢探索新概念、新理论和新事物。INTP通常对哲学、科学、技术等领域有浓厚的兴趣。",
                "独立性和自主性：他们非常独立，喜欢自主思考和解决问题，通常不喜欢受外界影响或被他人干涉。",
                "内向和沉思：INTP通常是内向的，喜欢独处以思考和探索思想的深度。他们往往沉浸在自己的思维世界中，对外界的社交活动兴趣不大。",
                "开放和灵活：尽管他们有坚定的逻辑基础，但INTP对新思想和不同观点持开放态度，愿意探索并接受新的可能性。"
            ],
            "工作": [
                "擅长解决复杂问题：INTP在需要分析、解决复杂问题或创造性思维的工作中表现出色，如科学研究、编程、工程、理论物理等领域。他们喜欢挑战性工作，并在解决难题时表现得非常专注和高效。",
                "创新和创意：他们具有极强的创新能力，喜欢提出新颖的想法和方案，并能打破常规，提出不寻常的解决办法。",
                "独立工作：INTP喜欢有自主性和创造性的工作环境，通常不喜欢过多的监督，更倾向于独立完成任务。",
                "非传统的思维方式：他们通常会从不同的角度思考问题，提出独特的见解，常常在团队中扮演“想法提出者”或“问题解决者”的角色。",
            ],
            "生活": [
                "探索性和理论性：INTP在生活中倾向于探索各种理论和概念，他们喜欢阅读、研究和讨论哲学、科学、数学等领域的话题。",
                "简单而独立的生活方式：他们通常不追求物质上的享受，更喜欢简单而独立的生活，专注于自己的兴趣和研究。",
                "低调和内向：INTP通常保持低调，不喜欢成为关注的焦点，喜欢在安静的环境中思考和学习。",
            ],
            "情感": [
                "理性与情感的平衡：在情感关系中，INTP倾向于理性分析，但他们也会努力理解和支持伴侣的情感需求。他们通常以一种理智而温和的方式表达爱意。",
                "独立的伴侣：他们需要一定的独立空间，同时也尊重伴侣的独立性。INTP希望伴侣能够理解并接受他们的思维方式和生活习惯。",
                "深度情感连接：尽管他们不善于情感表达，但当他们找到能够理解并与他们在智力和情感上共鸣的伴侣时，INTP可以形成深厚且持久的关系。",
            ],
            "社交": [
                "深度思考者：INTP在社交上通常保持低调，更喜欢与少数几个志同道合的人进行深度讨论和交流，而不是参加广泛的社交活动。",
                "直率和诚实：他们在人际关系中非常直率和诚实，不喜欢表面化的社交，更倾向于直截了当地表达自己的观点。",
                "独立的社交方式：他们在社交中更喜欢保留个人空间和独立性，通常不会过多依赖他人或追求广泛的社交圈。",
            ],
            "财富": [
                "理性和谨慎：INTP在财富管理上表现得非常理性和谨慎，他们喜欢研究和分析投资选项，以找到最合适的理财方式。",
                "长远规划：他们可能会制定长期的财务计划，但通常不会过于关注短期收益，更倾向于稳健的投资方式。",
                "简单的生活需求：由于他们对物质享受要求不高，INTP通常不会过度消费，更倾向于将资金用于知识、研究或个人兴趣领域。",
            ],
        },
        "ESTP": {
            "性格": [
                "实际和务实：ESTP性格的人非常注重现实，喜欢直接行动。他们擅长在实际情境中解决问题，通常会迅速分析情况并采取行动。",
                "精力充沛和外向：他们充满活力，喜欢与人互动，享受社交和冒险活动。ESTP往往是社交场合的中心，能够轻松吸引注意力并带动气氛。",
                "适应性强：ESTP非常适应环境的变化，能够在快速变化的情况下保持冷静并做出有效的决策。他们喜欢面对挑战和意外，能够迅速调整策略。",
                "直率和坦诚：他们喜欢开诚布公地表达自己的想法，不会拐弯抹角，往往以直接和清晰的方式进行沟通。",
                "冒险精神：ESTP喜欢冒险和新体验，他们热衷于尝试新事物，并在不确定的环境中感到兴奋。",
            ],
            "工作": [
                "行动导向：ESTP喜欢立即付诸行动，不喜欢长时间的计划和讨论，更倾向于“边做边学”的方式。适合他们的职业包括销售、市场推广、创业、应急管理等需要快速反应和决策的领域。",
                "问题解决者：他们在紧急或需要即时决策的情况下表现得尤为出色，擅长迅速解决问题，并在压力下表现良好。",
                "人际交往能力强：ESTP在工作中能够轻松地与人建立联系，并利用自己的社交技巧促进合作和达成目标。他们擅长谈判、推销和客户关系管理。",
                "灵活应变：他们在面对变化时能够迅速调整策略，喜欢在动态和多变的环境中工作。",
            ],
            "生活": [
                "活力四射的生活方式：ESTP倾向于过一种充满活力和刺激的生活，喜欢参与各种社交活动、体育运动和冒险活动。他们常常是活动的组织者或参与者，喜欢与朋友和家人一起度过时光。",
                "享受当下：他们注重当下的体验和乐趣，不太喜欢规划未来，更喜欢随心所欲地生活。",
                "动手能力强：ESTP在生活中喜欢亲自动手解决问题，不论是修理家电、进行DIY项目，还是参与户外活动，他们都能表现出色。",
            ],
            "情感": [
                "热情和直接：ESTP在情感关系中非常热情，喜欢直接表达自己的感情和需求。他们愿意为伴侣带来新鲜感和刺激，喜欢一起享受生活中的乐趣。",
                "享受伴侣的陪伴：他们喜欢与伴侣一起体验新事物，并且希望伴侣能与他们分享生活中的冒险和活动。",
                "独立但需要互动：虽然他们重视个人独立性，但也需要与伴侣保持互动和交流，不能忍受冷淡和无聊的关系。",
            ],
            "社交": [
                "外向和社交性强：ESTP是非常外向的人，喜欢社交和互动，容易与各种类型的人建立关系。他们通常有广泛的社交网络，并且在人群中表现得非常自信和自然。",
                "直率的沟通者：他们在与人交往时非常直率，不喜欢绕圈子，倾向于直接表达自己的看法和意见。",
                "喜欢团队合作：ESTP在团队合作中表现得非常出色，他们能够调动团队的积极性，并在团队中迅速找到自己的角色。",
            ],
            "财富": [
                "重视即时回报：ESTP在理财上倾向于寻求即时的满足和回报，喜欢投资于那些能迅速见效的项目或资产。",
                "冒险投资：由于他们喜欢冒险，ESTP可能会选择高风险高回报的投资方式，但也可能因此面临较大的财务波动。",
                "灵活的消费习惯：他们通常不会过于拘泥于预算，而是根据当下的需求和欲望来决定消费，喜欢享受生活中的奢华体验。",
            ],
        },
        "ESFP": {
            "性格": [
                "外向和活力四射：ESFP性格的人非常外向，充满活力，喜欢成为人群中的焦点。他们享受与人互动，并且能用自己的热情感染周围的人。",
                "享受当下：ESFP非常注重当下的体验和乐趣，他们喜欢沉浸在当前的时刻，而不太关注长远的规划或未来的不确定性。",
                "感性和富有同情心：他们对他人的感受非常敏感，富有同情心，愿意倾听并帮助他人。ESFP通常是非常温暖和友善的人，能够轻松地与他人建立情感联系。",
                "灵活和适应性强：ESFP善于适应环境的变化，他们喜欢即兴发挥，并能够灵活地应对突发情况。他们不喜欢被束缚，更倾向于保持生活的自由和灵活性。",
                "富有表现力：他们往往擅长表达自己，喜欢通过艺术、表演或其他创造性的方式来展示自己的个性和情感。",
            ],
            "工作": [
                "人际交往能力强：ESFP在需要与人打交道的工作中表现出色，如销售、客户服务、公共关系、演艺等领域。他们能够迅速与他人建立联系，并用他们的热情激励他人。",
                "团队合作的推动者：他们是出色的团队成员，能够通过他们的积极态度和能量激励团队，推动项目向前发展。",
                "实践导向：ESFP喜欢实际操作和体验，不太喜欢长时间的理论研究或规划，更喜欢在实践中学习和发展。",
                "创造性和表达力：他们擅长在需要创造力和表现力的工作中发挥自己的才能，如表演艺术、娱乐行业、设计等。",
            ],
            "生活": [
                "享受社交和娱乐：ESFP在生活中非常享受社交活动和娱乐，他们喜欢参加聚会、旅行、体育活动等，喜欢和朋友和家人一起度过愉快的时光。",
                "随遇而安：他们通常不喜欢被严格的日程表束缚，更喜欢随遇而安，根据心情和当下的情况决定如何安排生活。",
                "热爱美好体验：ESFP喜欢体验生活中的美好事物，如美食、时尚、音乐和艺术。他们倾向于在生活中寻找乐趣和享受。",
            ],
            "情感": [
                "热情和充满爱意：在情感关系中，ESFP非常热情和浪漫，他们喜欢通过各种方式表达对伴侣的爱意，并期待对方的回应。",
                "享受共同体验：他们喜欢和伴侣一起体验新事物，如旅行、探险或其他有趣的活动。ESFP希望与伴侣共同创造美好的回忆。",
                "重视情感交流：他们在情感上非常开放，喜欢表达自己的感受，也希望伴侣能够理解并分享他们的情感需求。",
            ],
            "社交": [
                "友好和社交性强：ESFP非常社交，喜欢与各种类型的人交往，并且通常能够迅速与他人建立友谊。他们在社交场合中表现得非常自信和自然，能够轻松成为人群的焦点。",
                "善于倾听和共情：他们是非常好的倾听者，能够理解并关心朋友和家人的需求和感受。他们的共情能力使他们成为很好的朋友和支持者。",
                "喜欢热闹的社交生活：ESFP通常有广泛的社交圈子，喜欢参加社交活动和聚会，享受与人互动带来的快乐。",
            ],
            "财富": [
                "重视即时满足：ESFP在财富管理上倾向于追求即时的满足和乐趣，他们喜欢花钱在能够立即带来快乐的事物上，如购物、旅行或娱乐。",
                "消费型理财观：他们可能不太关注长期的财务规划，而是更注重如何利用现有的资源享受生活。他们可能需要一些外界的帮助来平衡支出和储蓄。",
                "享受生活的财务观：ESFP倾向于把钱花在能够提升生活质量的事物上，而不是积累财富。他们喜欢为自己和他人创造愉快的体验。",
            ],
        },
        "ENFP": {
            "性格": [
                "热情和乐观：ENFP性格的人充满热情和乐观精神，他们总是能够看到生活中的积极面，并以积极的态度面对挑战和困难。他们的能量和热情常常感染周围的人。",
                "创造力和好奇心：ENFP拥有丰富的创造力和强烈的好奇心。他们喜欢探索新事物、新想法和新体验，通常对各种各样的主题都有兴趣，尤其是那些能激发他们的想象力和创新思维的事物。",
                "同情心和共情能力：他们非常关注他人的情感和需求，拥有强烈的同情心和共情能力。ENFP善于理解他人的感受，并以温暖和支持的方式回应。",
                "灵活和适应性强：ENFP不喜欢受到严格的规则和限制，他们喜欢保持生活和工作的灵活性，能够迅速适应变化，并且往往乐于尝试新事物。",
                "社交和外向：ENFP是社交的中心，他们喜欢与人互动，享受社交带来的乐趣，并通过与他人的交流和合作获得能量。",
            ],
            "工作": [
                "创造性和创新能力：ENFP在需要创造力和创新的工作中表现出色，如广告、市场营销、公共关系、创意写作等领域。他们喜欢提出新颖的想法，并且擅长从不同角度看待问题。",
                "激励和鼓舞他人：ENFP是天然的鼓舞者，他们能够通过自己的热情和积极性激励团队，推动项目向前发展。他们擅长与他人合作，并能为团队带来积极的影响。",
                "灵活性和适应力：他们在变化多端的环境中表现得尤为出色，喜欢处理多样化的任务和挑战，并能够快速调整策略。",
                "人际关系管理：ENFP在与人打交道的工作中表现得非常出色，他们能够轻松与同事、客户建立良好的关系，并善于在团队中协调不同的意见和需求。",
            ],
            "生活": [
                "享受生活的多样性：ENFP在生活中非常享受多样性和新鲜感，喜欢参与各种不同的活动和体验，如旅行、社交、艺术等。他们常常追求新的体验和刺激。",
                "追求个人成长：他们对自我探索和个人成长非常感兴趣，常常通过阅读、学习和体验来丰富自己的内心世界，并提升自己的能力。",
                "热爱社交活动：ENFP喜欢参加社交活动和聚会，他们在这样的环境中感到非常舒适，并且能够轻松成为人群的焦点。",
            ],
            "情感": [
                "浪漫和充满爱意：ENFP在情感关系中非常浪漫，他们喜欢通过各种方式表达对伴侣的爱意，并且非常重视关系中的情感交流和理解。",
                "深情和共鸣：他们渴望与伴侣建立深刻的情感联系，希望在关系中找到能够理解并分享他们内心世界的人。ENFP在关系中非常关注伴侣的感受，并希望通过情感的共鸣来加深彼此的联系。",
                "重视自由和独立性：尽管他们对感情非常投入，但ENFP也非常重视个人的自由和独立性，希望伴侣能够理解并尊重他们的这一需求。",
            ],
            "社交": [
                "友好和社交性强：ENFP非常外向，喜欢结交新朋友，并且能够轻松与各种类型的人建立联系。他们的社交圈通常很广泛，并且在与人互动时充满热情和活力。",
                "倾听和支持：他们是出色的倾听者，能够理解并支持朋友和家人的需求和感受。ENFP愿意花时间帮助他人，并常常成为朋友和家人的情感支柱。",
                "喜欢合作和互动：他们在团队合作中表现得非常出色，喜欢通过合作和互动来达到共同的目标，并且能够在团队中发挥自己的社交和领导能力。",
            ],
            "财富": [
                "随性消费：ENFP在财富管理上通常比较随性，可能会倾向于在即时满足和享受生活的体验上花费较多，而不是过多关注长期的财务规划。",
                "乐于分享：他们喜欢与他人分享自己的财富，可能会花钱在朋友、家庭或公益活动上，以满足自己助人为乐的心愿。",
                "重视体验：他们倾向于将钱花在能够带来愉快体验和新鲜感的事物上，如旅行、文化体验或教育，而不是积累财富。",
            ],
        },
        "ENTP": {
            "性格": [
                "创新和好奇心：ENTP性格的人充满好奇心，喜欢探索新想法、新技术和新方法。他们通常对复杂问题充满兴趣，喜欢通过创新和创造性思维来解决问题。",
                "辩论和挑战：他们喜欢辩论，享受通过挑战现有观点和规则来推动思维的边界。ENTP喜欢讨论各种各样的主题，并通过辩论来测试和完善自己的想法。",
                "灵活和适应性强：ENTP非常灵活，能够迅速适应新的环境和情况。他们喜欢变化和不确定性，并在多变的环境中感到兴奋。",
                "社交和外向：他们是非常外向的人，喜欢与人互动，并通过社交和合作获得能量。ENTP通常能够轻松与各种类型的人建立联系，并善于在社交场合中表现自己。",
                "直率和自信：ENTP通常直率而自信，喜欢开诚布公地表达自己的观点。他们不怕冒险，并且愿意尝试新的想法和项目，即使存在失败的风险。",
            ],
            "工作": [
                "问题解决者：ENTP在工作中擅长解决复杂问题，尤其是在需要创新和创造力的领域。他们能够迅速找到问题的核心，并提出独特的解决方案。",
                "推动变革：他们喜欢挑战现状，推动变革，并在组织或团队中引入新理念。ENTP常常是改革的推动者，喜欢带领团队走出舒适区，探索新的可能性。",
                "多任务处理：他们喜欢处理多样化的任务，擅长在快节奏的环境中工作，能够同时处理多个项目而不感到压力。",
                "领导能力：ENTP通常具备强大的领导能力，能够激励和引导团队向前发展。他们的领导风格通常是鼓励创新和自主性，同时推动团队实现共同目标。",
            ],
            "生活": [
                "追求新体验：ENTP在生活中非常喜欢探索新事物，追求刺激和新鲜感。他们可能会不断尝试新的爱好、旅行到新地方或学习新的技能。",
                "充满活力的生活方式：他们的生活通常充满活力和变化，喜欢参与各种社交活动、冒险和探索。他们不喜欢单调或重复的生活，更倾向于保持生活的多样性。",
                "灵活的生活态度：ENTP倾向于随心所欲地安排生活，不喜欢被固定的日程或规则束缚，更喜欢根据当下的情境和需求做出决定。",
            ],
            "情感": [
                "充满激情和活力：在情感关系中，ENTP充满激情，他们喜欢通过不断的互动和交流来保持关系的活力。他们会与伴侣一起探索新事物，并保持关系中的新鲜感。",
                "直率和坦诚：他们在情感上非常直率，不喜欢隐瞒或回避问题，喜欢开诚布公地讨论关系中的问题和需求。",
                "渴望刺激和挑战：ENTP在情感关系中喜欢挑战和刺激，希望伴侣能够与他们一起面对各种新的体验和挑战。他们不喜欢单调或无趣的关系。",
            ],
            "社交": [
                "社交能力强：ENTP非常擅长社交，能够轻松结交新朋友，并在社交场合中感到自在。他们喜欢与各种类型的人交流，享受通过互动获得新的观点和想法。",
                "辩论爱好者：他们喜欢通过辩论来挑战他人的观点，并测试自己的思想。ENTP常常在社交场合中带动讨论，并喜欢参与智力上的对抗。",
                "支持和鼓励：尽管他们喜欢辩论，但ENTP也非常乐于支持和鼓励朋友和家人。他们愿意帮助他人找到解决问题的新方法，并在需要时提供建议和支持。",
            ],
            "财富": [
                "风险偏好者：ENTP在财富管理上通常偏好高风险高回报的投资方式。他们喜欢探索新的投资机会，愿意冒险以追求更高的回报。",
                "灵活理财：他们在理财上通常表现出灵活性，愿意根据市场的变化和新的机会调整策略。他们不太喜欢被固定的财务计划束缚，更倾向于根据当下的情况做出决策。",
                "即时满足：ENTP可能会倾向于在体验和探索上花费较多，而不总是严格遵循长期的储蓄计划。他们喜欢享受生活的乐趣，同时也愿意为未来投资。",
            ],
        },
        "ESTJ": {
            "性格": [
                "务实和现实导向：ESTJ性格的人非常务实，注重现实和事实。他们喜欢基于现实情况做出决定，倾向于依赖经验和常识，而不是抽象的理论或想象。",
                "果断和高效：他们在做决定时非常果断，喜欢快速采取行动，并确保事情按照计划进行。ESTJ通常非常高效，善于管理时间和资源，以达到最佳效果。",
                "领导能力和组织能力：ESTJ天生具备领导才能，喜欢组织和管理。他们擅长制定计划、分配任务，并监督其执行，确保团队或项目能够顺利进行。",
                "外向和社交：他们是外向型的人，喜欢与人互动，并通过社交和合作获得能量。ESTJ通常能够轻松地与他人建立联系，并在社交场合中表现得非常自信。",
                "注重传统和秩序：ESTJ尊重传统，喜欢维持秩序和结构。他们相信规则和程序的重要性，倾向于维护既定的系统和惯例。",
            ],
            "工作": [
                "自然的领导者：ESTJ在工作中表现为出色的领导者，他们能够设定明确的目标，并带领团队实现这些目标。他们喜欢掌控局面，并确保工作能够按时完成。",
                "高效管理者：他们擅长组织和管理资源，能够有效地分配任务，并监督工作进度。ESTJ在需要严密计划和执行的工作环境中表现得尤为出色，如项目管理、行政管理、运营管理等领域。",
                "注重结果：ESTJ注重实效，喜欢看到明确的结果和成就。他们倾向于以目标为导向，致力于确保工作任务能够按时完成，并达到预期的质量标准。",
                "按部就班：他们更喜欢遵循既定的程序和规则，确保工作流程顺畅且符合标准。他们通常在维持组织内部的秩序和效率方面表现出色。",
            ],
            "生活": [
                "有条不紊的生活方式：ESTJ倾向于将生活安排得井井有条，喜欢制定计划并按计划行事。他们注重生活的稳定性和可预测性，不喜欢意外和混乱。",
                "家庭和社区责任感强：他们通常非常重视家庭和社区，愿意承担责任，并为家庭和社区的福祉做出贡献。ESTJ往往在家庭和社区活动中担任领导角色，喜欢确保事情有条不紊地进行。",
                "传统价值观：ESTJ尊重传统和习俗，倾向于维持家庭和社会中的传统价值观。他们重视诚信、责任感和纪律，并努力将这些价值观传递给下一代。",
            ],
            "情感": [
                "稳定和可靠的伴侣：在情感关系中，ESTJ是非常可靠和稳定的伴侣，他们注重承诺和责任，愿意为伴侣和家庭付出。他们会确保家庭生活的稳定和安全。",
                "直接的情感表达：他们在表达感情时通常是直接而明确的，不喜欢拐弯抹角。他们倾向于通过实际行动而不是浪漫的言辞来表达对伴侣的关心和爱意。",
                "重视传统的关系模式：ESTJ在情感关系中通常遵循传统的模式，喜欢按照既定的社会和家庭角色行事，期望伴侣能够与他们在价值观和生活方式上保持一致。",
            ],
            "社交": [
                "社交性强且组织能力强：ESTJ喜欢参与社交活动，并在社交场合中表现得非常自信和主动。他们通常是社交团体中的组织者，喜欢协调和安排活动，确保每个人都能参与其中。",
                "重视可靠性和责任感：他们在友谊和人际关系中非常重视可靠性和责任感，期望朋友和同事能够按时履行承诺，并对他们的行为负责。",
                "直接的沟通风格：ESTJ在与他人沟通时非常直接和明确，不喜欢绕弯子或模棱两可。他们倾向于直截了当地表达自己的观点和期望，并希望他人也能如此。",
            ],
            "财富": [
                "保守和稳健：ESTJ在财富管理上通常表现得非常保守和稳健，他们倾向于选择安全可靠的投资方式，如储蓄、房地产或蓝筹股投资。他们更关注长期的财务稳定性，而不是短期的高风险高回报。",
                "注重规划：他们喜欢制定详细的财务计划，并严格按照计划执行。ESTJ通常会设定明确的财务目标，如储蓄、退休计划或子女教育基金，并为实现这些目标而努力。",
                "谨慎消费：他们在消费上非常谨慎，不喜欢冲动消费，通常会优先考虑实际需要和长远的财务安全。",
            ],
        },
        "ESFJ": {
            "性格": [
                "关怀和共情：ESFJ性格的人非常关心他人，富有同情心。他们能够敏锐地感知他人的情感和需求，愿意提供帮助和支持，通常在社交场合中扮演着协调和照顾他人的角色。",
                "外向和社交性强：他们是社交的中心，喜欢与人互动，享受与朋友、家人和同事的交流。ESFJ善于建立并维持广泛的人际网络，并在与他人的关系中感到满足。",
                "传统和责任感：ESFJ尊重传统和社会规范，注重履行自己的责任和义务。他们喜欢维持秩序和稳定，通常会遵循既定的规则和程序。",
                "注重和谐和团队合作：他们重视和谐的人际关系，喜欢在团队中合作。ESFJ倾向于避免冲突，努力通过沟通和妥协来维持和平与合作。",
                "实际和现实导向：ESFJ注重现实，喜欢基于具体事实和实际情况做出决策。他们更倾向于务实地解决问题，而不是沉迷于理论或抽象的想法。",
            ],
            "工作": [
                "出色的团队成员：ESFJ在团队中表现出色，他们善于合作，能够调动团队成员的积极性，并通过协调和支持他人来推动团队目标的实现。",
                "擅长组织和管理：他们有很强的组织能力，喜欢规划和安排工作，并确保所有任务都按时完成。ESFJ在需要关注细节和维护秩序的工作中表现尤为出色，如行政管理、教育、护理等领域。",
                "重视人际关系：他们在工作中非常重视与同事、客户和上级的关系，努力通过良好的沟通和合作来创造一个和谐的工作环境。",
                "责任心强：ESFJ非常注重责任感，喜欢按照既定的计划和程序完成任务，通常在工作中表现得非常可靠和有条理。",
            ],
            "生活": [
                "注重家庭和社交生活：ESFJ非常重视家庭和朋友，他们喜欢花时间与亲人和朋友相处，参与各种社交活动和家庭聚会。他们通常是家庭和社交圈中的核心人物，负责协调和组织各种活动。",
                "护传统和秩序：他们倾向于维护家庭和社会中的传统，喜欢遵循常规，确保生活中的秩序和稳定。他们通常会努力维持一个和谐、有序的家庭环境。",
                "关注他人需求：ESFJ喜欢为他人提供帮助和支持，常常通过实际行动表达对他人的关心，如为家人和朋友准备食物、组织活动或提供情感支持。",
            ],
            "情感": [
                "忠诚和关怀的伴侣：在情感关系中，ESFJ是非常忠诚和关怀的伴侣，他们愿意为伴侣付出，关注伴侣的需求和感受，并努力通过实际行动表达爱意。",
                "注重关系的和谐：他们非常重视关系中的和谐，倾向于通过沟通和妥协来解决冲突。他们希望伴侣能够理解并分享他们的价值观和生活方式。",
                "表达爱意：ESFJ喜欢通过具体的行为来表达对伴侣的关心，如照顾对方的日常生活、安排浪漫的约会或提供情感上的支持。",
            ],
            "社交": [
                "社交能力强：ESFJ在社交场合中表现得非常自然和自信，他们喜欢结交新朋友，并且擅长维持长期的友谊。他们通常会主动联系朋友和家人，并通过社交活动维系关系。",
                "支持和鼓励他人：他们是非常好的朋友和同事，善于倾听并提供帮助。ESFJ常常扮演倾听者和支持者的角色，能够在他人需要时提供实际的建议和情感支持。",
                "维护团队和谐：在团队和群体中，ESFJ努力通过协调和沟通来维持和谐的关系，避免冲突，确保每个人都感到被尊重和重视。",
            ],
            "财富": [
                "谨慎和有条理：ESFJ在财富管理上通常表现得非常谨慎和有条理，他们喜欢制定详细的财务计划，并确保按计划进行储蓄和投资。",
                "重视安全和稳定：他们倾向于选择安全且稳定的投资方式，如储蓄、保险和低风险投资。ESFJ更注重长期的财务安全，而不是短期的高回报。",
                "为家庭做规划：他们通常会为家庭的未来做出详细的财务规划，如子女教育基金、退休储蓄和家庭保险。他们希望确保家庭成员的财务安全和生活稳定。",
            ],
        },
        "ENFJ": {
            "性格": [
                "充满同理心和关怀：ENFJ性格的人非常关注他人的情感和需求，具备强大的同理心和关怀。他们善于理解和感受他人的情绪，并愿意通过实际行动提供帮助和支持。",
                "天生的领导能力：ENFJ天生具备领导才能，他们喜欢激励和引导他人，通常能够通过鼓励和支持他人来实现共同目标。他们在团队中通常担任领导者的角色，擅长调动集体的力量。",
                "社交性强和外向：他们非常外向，喜欢与人互动，并通过社交和合作获得能量。ENFJ在社交场合中表现得非常自信，能够轻松与他人建立联系，并且非常擅长处理人际关系。",
                "理想主义和价值驱动：他们是理想主义者，常常追求更美好的世界和社会。他们的行动通常受到内在价值观的驱动，努力实现自己和他人心中的理想。",
                "有条理和规划性：ENFJ喜欢制定计划，并按计划行事。他们在生活和工作中都注重结构和秩序，喜欢通过组织和安排来确保一切顺利进行。",
            ],
            "工作": [
                "卓越的领导者：ENFJ在团队中常常担任领导角色，他们通过鼓励和支持他人，激发团队成员的潜力，并带领团队实现共同目标。他们擅长激励他人，帮助团队成员发现并发挥他们的长处。",
                "出色的沟通者：他们具备出色的沟通能力，能够清晰地表达自己的想法，并善于倾听他人的意见。ENFJ在需要协调和管理人际关系的工作中表现得尤为出色，如教育、公共关系、社工等领域。",
                "注重团队合作：他们非常重视团队合作，喜欢在协作中实现目标。ENFJ通常会通过组织和协调来确保团队的每一个成员都能积极参与并贡献力量。",
                "使命感强：ENFJ倾向于选择与他们的价值观一致的职业，喜欢从事能够对社会产生积极影响的工作，如教育、心理咨询、非营利组织等。",
            ],
            "生活": [
                "积极参与社区和家庭生活：ENFJ在生活中非常重视社区和家庭，他们喜欢参与家庭和社区活动，通常在这些环境中担任领导或协调的角色。他们努力通过自己的行动来改善周围的环境和关系。",
                "注重关系和和谐：他们在生活中非常重视与他人的关系，努力维护和谐和互相支持的环境。ENFJ喜欢通过与他人互动来增进感情，并确保每个人都感到被重视和理解。",
                "规划性强：他们倾向于将生活安排得井井有条，喜欢制定短期和长期的计划，并努力按计划行事。ENFJ注重生活的有序性和稳定性，喜欢通过规划来实现个人和家庭的目标。",
            ],
            "情感": [
                "深情和关怀：在情感关系中，ENFJ是非常深情和关怀的伴侣，他们关注伴侣的情感需求，并愿意为对方付出。他们通过实际行动和情感支持来表达爱意，努力维护关系中的和谐与稳定。",
                "忠诚和可靠：他们对伴侣非常忠诚，并注重在关系中履行承诺。ENFJ通常会通过细致的关注和关心来维持关系，并确保伴侣感到被理解和支持。",
                "重视沟通：ENFJ非常重视情感上的沟通，他们喜欢与伴侣讨论感受和想法，以增进彼此的理解和联系。他们希望通过开放的交流来解决问题，并保持关系的健康和积极。",
            ],
            "社交": [
                "社交和领导的中心：ENFJ在人际关系中常常是社交和领导的中心人物，他们通过积极的沟通和关怀来连接周围的人。他们的友好和热情使他们很容易结交朋友，并维持长期的友谊。",
                "支持和鼓励他人：他们是非常好的朋友和同事，愿意花时间支持和鼓励他人。ENFJ常常扮演倾听者和顾问的角色，能够帮助他人找到解决问题的方法，并给予他们情感上的支持。",
                "促进和谐的关系：他们在团队和群体中努力通过协调和沟通来促进和谐的关系，避免冲突，确保每个人都感到被尊重和重视。",
            ],
            "财富": [
                "责任感和规划性：ENFJ在财富管理上通常表现得非常有责任感和规划性，他们喜欢制定详细的财务计划，并努力按计划进行储蓄和投资。",
                "关注长期目标：他们倾向于选择能够支持他们长期目标的投资方式，如退休储蓄、子女教育基金等。ENFJ通常会为家庭的未来做出详细的财务规划，以确保家庭的财务安全和稳定。",
                "愿意分享：他们重视人际关系，愿意为他人花费金钱，如帮助朋友、支持家人或捐助慈善机构。ENFJ倾向于将财富视为实现个人和社会目标的工具，而不仅仅是积累财富本身。",
            ],
        },
        "ENTJ": {
            "性格": [
                "领导力和决断力：ENTJ天生具备强大的领导能力，他们喜欢掌控局面，擅长制定战略计划并带领团队执行。他们能够迅速做出决策，并且通常非常自信且果断。",
                "目标导向和结果驱动：他们高度目标导向，注重结果和效率。ENTJ倾向于设定远大的目标，并全力以赴地追求这些目标，不断寻求进步和成功。",
                "战略性思维：ENTJ具有出色的战略性思维，能够从全局的角度分析问题，并制定长远的计划。他们擅长在复杂的环境中发现机会，并利用这些机会实现自己的愿景。",
                "外向和自信：他们非常外向，自信且充满活力。ENTJ喜欢与人互动，并通过交流和合作获得能量。他们通常在社交场合中表现得非常自信，能够轻松影响他人。",
                "逻辑性和理性：ENTJ在处理问题时倾向于依赖逻辑和理性分析，他们注重事实和数据，能够迅速识别问题的核心并提出有效的解决方案。",
            ],
            "工作": [
                "卓越的领导者：ENTJ在工作中常常担任领导角色，他们擅长制定战略目标，并带领团队实现这些目标。ENTJ喜欢挑战高难度的任务，并通过激励和指导团队成员来推动项目向前发展。",
                "高效的管理者：他们在管理上非常高效，能够有效地分配资源和任务，确保工作能够按时完成并达到预期的质量标准。ENTJ在需要决策和执行的工作环境中表现得尤为出色，如企业管理、项目管理、战略规划等领域。",
                "追求卓越和创新：ENTJ不断寻求改进和创新，他们喜欢通过引入新技术、新理念来推动组织的进步。ENTJ在面对复杂和快速变化的环境时表现得尤为出色，能够迅速调整策略并采取行动。",
                "强大的执行力：他们注重实际行动，喜欢将想法付诸实践。ENTJ通常不会拖延，喜欢立即着手执行计划，并通过高效的行动达成目标。",
            ],
            "生活": [
                "有条理和规划性强：ENTJ在生活中倾向于制定详细的计划，并按计划行事。他们注重生活的结构和秩序，喜欢通过组织和安排来确保一切顺利进行。",
                "积极参与和领导活动：他们喜欢参与并领导各种活动，无论是在家庭、社交圈还是社区中，ENTJ通常会担任领导或组织者的角色，推动活动的进展。",
                "追求个人成长：ENTJ注重个人成长和发展，他们会不断寻求新的学习机会和挑战，努力提升自己的能力和知识，以实现更高的成就。",
            ],
            "情感": [
                "坚定和可靠的伴侣：在情感关系中，ENTJ是非常坚定和可靠的伴侣，他们注重承诺和责任，并愿意为关系付出。他们通常会通过实际行动来表达对伴侣的关心和支持。",
                "直接的沟通风格：ENTJ在情感上非常直接，他们喜欢开诚布公地讨论问题和需求，倾向于通过理性和逻辑来解决关系中的冲突。",
                "期望高标准：他们对情感关系有较高的期望，期望伴侣能够与他们在智力、目标和价值观上匹配。他们希望与伴侣共同成长，并一起追求共同的目标。",

            ],
            "社交": [
                "领导和影响力：ENTJ在人际关系中通常是领导者和影响者，他们通过自信和决断力来影响他人，并推动集体向前发展。ENTJ能够通过强有力的沟通和行动来引导他人，激励团队实现目标。",
                "广泛的社交网络：他们通常拥有广泛的社交网络，能够轻松结交新朋友，并在社交圈中保持活跃。ENTJ喜欢与志同道合的人互动，并通过社交活动拓展自己的人际圈。",
                "直率和诚实：ENTJ在与他人沟通时非常直率和诚实，他们不喜欢拐弯抹角，更倾向于直接表达自己的观点和期望。他们希望他人也能如此，以便更有效地沟通和合作。",
            ],
            "财富": [
                "战略性理财：ENTJ在财富管理上表现得非常战略性，他们喜欢制定长期的财务计划，并通过高效的投资和管理来实现财务目标。ENTJ倾向于选择能够提供长期收益和增长潜力的投资方式，如房地产、股票市场等。",
                "注重积累和增长：他们注重财富的积累和增长，喜欢通过精明的理财和投资来增加自己的财富。他们通常会研究市场趋势，并利用这些趋势来优化自己的投资组合。",
                "高风险高回报：ENTJ可能会选择高风险高回报的投资方式，但通常会经过详细的分析和规划，以确保风险在可控范围内。他们愿意冒险，但会在充分准备的基础上做出决策。",
            ],
        },
    }

}